close all;
clear all;

% Loading of CSV files containing considered mRNA amounts and RBS strengths
mRNA_amount = csvread('mRNA_amount.csv');
RBS_strength = csvread('RBS_str.csv');

% Loading of CSV files created from the Python simulations
Circuit_Output = csvread('circuit_out.csv');
Free_Ribosomes = csvread('free_ribs.csv');

% Representation of data in 3D or heatmap format
Efficiency = Free_Ribosomes .* Circuit_Output; % units = (free ribosomes) x (proteins/second)
Efficiency_normalised = Efficiency ./ max(max(Efficiency)); % dimensionless number between 0 and 1
[X,Y] = meshgrid(mRNA_amount,RBS_strength);
f_1=figure(1);
surf(X,Y,Efficiency_normalised);
colormap(flipud(colormap)); % To inverse the colormap with blue for high values and red for low values
h = colorbar;
set(gca,'FontSize',18);
ylabel(h, 'Normalised Efficiency','FontSize',18);
view(2);
xlabel('mRNA amount','FontSize',18);
ylabel('RBS strength','FontSize',18);
zlabel('Efficiency','FontSize',18);
% Saving the graph in PDF
saveas(f_1,'Heat_Map_Efficiency','pdf')
